org.apache.calcite.avatica.proto

## Interface Common.ConnectionPropertiesOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.ConnectionProperties, Common.ConnectionProperties.Builder

Enclosing class:
  Common

    public static interface Common.ConnectionPropertiesOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`boolean` `getAutoCommit()` `optional bool auto_commit = 2;`
`String` `getCatalog()` `optional string catalog = 5;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `optional string catalog = 5;`
`boolean` `getHasAutoCommit()` field is a Boolean, need to discern null and default value
`boolean` `getHasReadOnly()` field is a Boolean, need to discern null and default value
`boolean` `getIsDirty()` `optional bool is_dirty = 1;`
`boolean` `getReadOnly()` `optional bool read_only = 3;`
`String` `getSchema()` `optional string schema = 6;`
`com.google.protobuf.ByteString` `getSchemaBytes()` `optional string schema = 6;`
`int` `getTransactionIsolation()` `optional uint32 transaction_isolation = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getIsDirty

    boolean getIsDirty()

`optional bool is_dirty = 1;`

#### getAutoCommit

    boolean getAutoCommit()

`optional bool auto_commit = 2;`

#### getHasAutoCommit

    boolean getHasAutoCommit()

     field is a Boolean, need to discern null and default value

`optional bool has_auto_commit = 7;`

#### getReadOnly

    boolean getReadOnly()

`optional bool read_only = 3;`

#### getHasReadOnly

    boolean getHasReadOnly()

     field is a Boolean, need to discern null and default value

`optional bool has_read_only = 8;`

#### getTransactionIsolation

    int getTransactionIsolation()

`optional uint32 transaction_isolation = 4;`

#### getCatalog

    String getCatalog()

`optional string catalog = 5;`

#### getCatalogBytes

    com.google.protobuf.ByteString getCatalogBytes()

`optional string catalog = 5;`

#### getSchema

    String getSchema()

`optional string schema = 6;`

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

`optional string schema = 6;`